libzypp 17.37.10

Pool.cc File Reference
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <solv/pool.h>`
`#include <solv/repo.h>`
`#include <solv/solvable.h>`
`#include <iostream>`
`#include <fstream>`
`#include <zypp/base/Easy.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/base/Exception.h>`
`#include <zypp/AutoDispose.h>`
`#include <zypp/sat/detail/PoolImpl.h>`
`#include <zypp/sat/Pool.h>`
`#include <zypp/sat/LookupAttr.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "solvidx"
#define | SEP '\t'
#define | idstr(V)

## Functions
std::ostream & | zypp::sat::operator<< (std::ostream &str, const Pool &obj)
void | zypp::sat::updateSolvFileIndex (const Pathname &solvfile_r)
| Create solv file content digest for zypper bash completion.

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "solvidx"

Definition at line 284 of file Pool.cc.

## ◆ SEP

#define SEP '\t'

## ◆ idstr

#define idstr | ( |  | V | ) |

Value:
pool_id2str( _pool, _solv->V )